<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.vertx.vertx-option" stability="preview">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="address-resolver-option,blocked-thread-check-interval,blocked-thread-check-interval-unit,classpath-resolving-enabled,event-loop-pool-size,file-cache-dir,file-cache-enabled,internal-blocking-pool-size,max-eventloop-execute-time,max-eventloop-execute-time-unit,max-worker-execute-time,max-worker-execute-time-unit,prefer-native-transport,warning-exception-time,warning-exception-time-unit,worker-pool-size"/>
        <elem name="addr-params" value="profile,subsystem,vertx-option"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.vertx"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.vertx.options.$vertx-option"/>
    </provides>
    <refs>
        <ref feature="subsystem.vertx"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="address-resolver-option" nillable="true" stability="default"/>
        <param name="warning-exception-time-unit" nillable="true" stability="default"/>
        <param name="blocked-thread-check-interval-unit" nillable="true" stability="default"/>
        <param name="event-loop-pool-size" nillable="true" stability="default"/>
        <param name="prefer-native-transport" nillable="true" stability="default"/>
        <param name="blocked-thread-check-interval" nillable="true" stability="default"/>
        <param name="internal-blocking-pool-size" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="vertx"/>
        <param name="max-eventloop-execute-time-unit" nillable="true" stability="default"/>
        <param name="file-cache-enabled" nillable="true" stability="default"/>
        <param name="max-eventloop-execute-time" nillable="true" stability="default"/>
        <param name="max-worker-execute-time-unit" nillable="true" stability="default"/>
        <param name="warning-exception-time" nillable="true" stability="default"/>
        <param name="file-cache-dir" nillable="true" stability="default"/>
        <param name="worker-pool-size" nillable="true" stability="default"/>
        <param name="max-worker-execute-time" nillable="true" stability="default"/>
        <param name="vertx-option" feature-id="true"/>
        <param name="classpath-resolving-enabled" nillable="true" stability="default"/>
    </params>
</feature-spec>